
rm(list = ls()); gc()
recipe_file <- "recipes/recipe_1_nadia_scorecards.yml"

source("modules/Loading/Loading.R")
source("modules/Calibration/Calibration.R")
source("modules/Skill/Skill.R")
source("modules/Saving/Saving.R")

for (smonth in 1:12) {
  ## Define recipe needed to load calibrated data and skill metrics
  recipe <- read_yaml(recipe_file)
  recipe$Analysis$Time$sdate <- paste0(sprintf("%02d", smonth), '01')
  ## Load datasets
  data <- load_datasets(recipe_file)


  ## Compute skill metrics of raw data
  skill_metrics <- compute_skill_metrics(data$hcst, data$obs, recipe) 

  archive <- read_yaml(paste0(recipe$Run$code_dir, "conf/archive.yml"))$archive

  save_data(recipe, archive, data, skill_metrics = skill_metrics)  
}


rm(list=ls())

load/Start/nc2array # leer metrics
var <- 'tas'

scordcards <- function(data_cube, recipe, skill_metric, var.name) {
  plevel <- '' #data_cube$hcst$variable$plevel ????
  var.unit <- attributes(data_cube$hcst$Variable)$variable$units
  var.filename <- paste(tolower(var.name), collapse = "_")
  system.filename <- recipe$Analysis$Datasets$System$name
  lead.months <- (recipe$Analysis$Time$leadtimemin + 1):
               (recipe$Analysis$Time$leadtimemax + 1)
  start.year <- recipe$An
  #varid <- 666 ## not necessary
  
## Scorecards script
    source("/esarchive/scratch/nmilders/scorecards_code/scorecards_simple.R")
}

scordcards(data, recipe, skill_metric)

